Skip to content
Back to top
View this page

# LiveUpdate

class praw.models.LiveUpdate(reddit: praw.Reddit, thread_id: str | None = None, update_id: str | None = None, _data: Dict[str, Any] | None = None)

  An individual `LiveUpdate` object.

  Typical Attributes

  Note

  This table describes attributes that typically belong to objects of this class. PRAW dynamically provides the attributes that Reddit returns via the API. Since those attributes are subject to change on Reddit’s end, PRAW makes no effort to document any new/removed/changed attributes, other than to instruct you on how to discover what is available. As a result, this table of attributes may not be complete. See Determine Available Attributes of an Object for detailed information.

  If you would like to add an attribute to this table, feel free to open a pull request.

  Attribute | Description
  --- | ---
  `author` | The `Redditor` who made the update.
  `body` | Body of the update, as Markdown.
  `body_html` | Body of the update, as HTML.
  `created_utc` | The time the update was created, as Unix Time.
  `stricken` | A `bool` representing whether or not the update was stricken (see `strike()`).

  __init__(reddit: praw.Reddit, thread_id: str | None = None, update_id: str | None = None, _data: Dict[str, Any] | None = None)

    Initialize a `LiveUpdate` instance.

    Either `thread_id` and `update_id`, or `_data` must be provided.

    Parameters:

      - reddit – An instance of `Reddit`.

      - thread_id – A live thread ID, e.g., `"ukaeu1ik4sw5"`.

      - update_id – A live update ID, e.g., `"7827987a-c998-11e4-a0b9-22000b6a88d2"`.

    Usage:

        update = LiveUpdate(reddit, "ukaeu1ik4sw5", "7827987a-c998-11e4-a0b9-22000b6a88d2")
        update.thread  # LiveThread(id="ukaeu1ik4sw5")
        update.id  # "7827987a-c998-11e4-a0b9-22000b6a88d2"
        update.author  # "umbrae"

  contrib() → praw.models.reddit.live.LiveUpdateContribution

    Provide an instance of `LiveUpdateContribution`.

    Usage:

        thread = reddit.live("ukaeu1ik4sw5")
        update = thread["7827987a-c998-11e4-a0b9-22000b6a88d2"]
        update.contrib  # LiveUpdateContribution instance

  property fullname: str

    Return the object’s fullname.

    A fullname is an object’s kind mapping like `t3` followed by an underscore and the object’s base36 ID, e.g., `t1_c5s96e0`.

  classmethod parse(data: Dict[str, Any], reddit: praw.Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters:

      - data – The structured data.

      - reddit – An instance of `Reddit`.

  property thread: LiveThread

    Return `LiveThread` object the update object belongs to.